## bitops 1.0

=== DESCRIPTION ===
Package: bitops
Version: 1.0-4.1
Date: 2009-02-13
Author: S original by Steve Dutky <sdutky@terpalum.umd.edu>
  initial R port and extensions by Martin Maechler.
  revised and modified by Steve Dutky
Maintainer: Steve Dutky <sdutky@terpalum.umd.edu>
Title: Functions for Bitwise operations
Description: Functions for Bitwise operations on integer vectors.
License: GPL version 2 or later
Packaged: Fri Feb 13 14:40:06 2009; ripley

## bitops 1.0-3

=== DESCRIPTION ===
Package: bitops
Version: 1.0-3
Date: 2005-01-26
Author: S original by Steve Dutky <sdutky@terpalum.umd.edu>
  initial R port and extensions by Martin Maechler.
  revised and modified by Steve Dutky
Maintainer: Steve Dutky <sdutky@terpalum.umd.edu>
Title: Functions for Bitwise operations
Description: Functions for Bitwise operations on integer vectors.
License: GPL version 2 or later
Packaged: Wed Jan 26 17:52:33 2005; dutky

## bitops 1.0-4.1

=== DESCRIPTION ===
Package: bitops
Version: 1.0-4.1
Date: 2009-02-13
Author: S original by Steve Dutky <sdutky@terpalum.umd.edu> initial R
        port and extensions by Martin Maechler.  revised and modified
        by Steve Dutky
Maintainer: Steve Dutky <sdutky@terpalum.umd.edu>
Title: Functions for Bitwise operations
Description: Functions for Bitwise operations on integer vectors.
License: GPL (>= 2)
Packaged: 2012-10-29 08:58:19 UTC; ripley
Repository: CRAN
Date/Publication: 2012-10-29 08:58:19

=== debian/changelog ===
bitops (1.0-4.1-2build1) precise; urgency=low

  * Rebuild against newest r-base-*

 -- Andreas Moog <amoog@ubuntu.com>  Sun, 05 Feb 2012 15:02:26 +0100

bitops (1.0-4.1-2) unstable; urgency=low

  [ Charles Plessy ]
  * Added debian/upstream-metadata.yaml for real (forgotten in 1.0-4.1-1).

  [ Andreas Tille ]
  * Standards-Version: 3.9.2 (No changes needed)
  * debian/{control,rules}: Depends: ${R:Depends}
    Closes: #645789
  * Source format 3.0 (quilt)
  * Debhelper 8 (control+compat)
  * Fixed Vcs fields

 -- Andreas Tille <tille@debian.org>  Tue, 18 Oct 2011 19:46:07 +0200

bitops (1.0-4.1-1) unstable; urgency=low

  * New upstream release.
  * debian/changelog:
    - New maintainer: the Debian Med packaging team.
    - Added myself to the uploaders.
    - Incremented Standards-Version to reflect conformance with Policy 3.8.3:
      Changed section to gnu-r.
    - Removed version in the dependancy to r-base-core and r-base-dev.
    - Corrected the Homepage field contents.
    - Allow upload by DM uploaders.
    - Added fields documenting the VCS in which the source package is stored.
  * Use Debhelper 7 (debian/control, debian/compat).
  * Corrections to debian/copyright and change of format.
  * Added debian/README.Debian to inform that this package is not thoroughly
    tested.
  * Added various informations about upstream in debian/upstream-metadata.yaml.

 -- Charles Plessy <plessy@debian.org>  Thu, 29 Oct 2009 18:35:42 +0900

bitops (1.0-4-1) unstable; urgency=low

  * Initial release (Closes: #487973).

 -- Steffen Moeller <moeller@debian.org>  Wed, 25 Jun 2008 14:29:07 +0200

=== debian/control ===
Source: bitops
Section: gnu-r
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>, Charles Plessy <plessy@debian.org>,
 Andreas Tille <tille@debian.org>
DM-Upload-Allow: yes
Build-Depends: debhelper (>= 8), r-base-dev, cdbs
Standards-Version: 3.9.2
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/R/r-cran-bitops/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/R/r-cran-bitops/trunk/
Homepage: http://cran.r-project.org/web/packages/bitops/


Package: r-cran-bitops
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}
Description: GNU R package implementing bitwise operations
 Functions for bitwise operations on integer vectors.
 .
 This package of R programming tools for plotting data was written by
 Steve Dutky <sdutky@terpalum.umd.edu> with parts by Martin Maechler.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-bitops package
# Copyright 2011 by Andreas Tille <tille@debian.org>, GPL

include /usr/share/R/debian/r-cran.mk

install/$(package)::
	# Require a number equal or superior than the R version the package was built with.
	echo "R:Depends=r-base-core (>= $(shell R --version | head -n1 | perl -ne 'print / +([0-9]\.[0-9]+\.[0-9])/')~)" >> debian/$(package).substvars

## bitops 1.0-4.2

=== DESCRIPTION ===
Package: bitops
Version: 1.0-4.2
Date: 2009-02-13
Author: S original by Steve Dutky <sdutky@terpalum.umd.edu> initial R
        port and extensions by Martin Maechler.  revised and modified
        by Steve Dutky
Maintainer: ORPHANED
Title: Functions for Bitwise operations
Description: Functions for Bitwise operations on integer vectors.
License: GPL (>= 2)
Packaged: 2012-11-03 17:23:19 UTC; ripley
Repository: CRAN
Date/Publication: 2012-11-03 16:42:22
X-CRAN-Comment: Orphaned on 2012-11-05 at the request of the original
        maintainer, Steve Dutky <sdutky@terpalum.umd.edu>.
X-CRAN-Original-Maintainer: Steve Dutky <sdutky@terpalum.umd.edu>

## bitops 1.0-5

=== DESCRIPTION ===
Package: bitops
Version: 1.0-5
Date: 2011-11-10
Author: S original by Steve Dutky <sdutky@terpalum.umd.edu> initial R
        port and extensions by Martin Maechler; revised and modified by
        Steve Dutky
Maintainer: Martin Maechler <maechler@stat.math.ethz.ch>
Title: Bitwise Operations
Description: Functions for bitwise operations on integer vectors.
License: GPL (>= 2)
Packaged: 2012-11-10 16:20:37 UTC; maechler
Repository: CRAN
Date/Publication: 2012-11-12 08:27:00

=== debian/changelog ===
bitops (1.0-5-1build1) saucy; urgency=low

  * No-change rebuild against R 3.0.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 30 Apr 2013 09:08:27 -0700

bitops (1.0-5-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: converted to machine readable format version 1.0.
  * debian/control: removed obsolete field DM-Upload-Allow.
  * debian/control, debian/compat: using Debhelper 9.
  * debian/control: normalised VCS URLs.
  * debian/rules: acquire R:Depends directly from r-base-dev.
  * Conforms to Policy 3.9.4 (debian/control, no other changes needed).

 -- Charles Plessy <plessy@debian.org>  Mon, 01 Apr 2013 23:06:25 +0900

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,11 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>, Charles Plessy <plessy@debian.org>,
  Andreas Tille <tille@debian.org>
-DM-Upload-Allow: yes
-Build-Depends: debhelper (>= 8), r-base-dev, cdbs
-Standards-Version: 3.9.2
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/R/r-cran-bitops/trunk/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/R/r-cran-bitops/trunk/
+Build-Depends: debhelper (>= 9), r-base-dev, cdbs
+Standards-Version: 3.9.4
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-bitops/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-bitops/trunk/
 Homepage: http://cran.r-project.org/web/packages/bitops/
-
 
 Package: r-cran-bitops
 Architecture: any

## bitops 1.0-6

=== debian/changelog ===
bitops (1.0-6-1) unstable; urgency=low

  * New upstream release.
  * Normalised debian/control with ‘cme fix’.

 -- Charles Plessy <plessy@debian.org>  Thu, 22 Aug 2013 07:36:38 +0900

=== debian/control ===
Source: bitops
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               r-base-dev,
               cdbs
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-bitops/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-bitops/trunk/
Homepage: http://cran.r-project.org/web/packages/bitops/

Package: r-cran-bitops
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${R:Depends}
Description: GNU R package implementing bitwise operations
 Functions for bitwise operations on integer vectors.
 .
 This package of R programming tools for plotting data was written by
 Steve Dutky <sdutky@terpalum.umd.edu> with parts by Martin Maechler.

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/bitops_([\d.-]*)\.tar.gz

## bitops 1.0-8

=== DESCRIPTION ===
Package: bitops
Version: 1.0-8
Date: 2024-07-29
Authors@R: c(
   person("Steve", "Dutky", role = "aut", email = "sdutky@terpalum.umd.edu",
    	     comment = "S original; then (after MM's port) revised and modified"),
   person("Martin", "Maechler", role = c("cre", "aut"), email = "maechler@stat.math.ethz.ch",
	     comment = c("Initial R port; tweaks", ORCID = "0000-0002-8685-9910")))
Title: Bitwise Operations
Description: Functions for bitwise operations on integer vectors.
License: GPL (>= 2)
URL: https://github.com/mmaechler/R-bitops
BugReports: https://github.com/mmaechler/R-bitops/issues
NeedsCompilation: yes
Packaged: 2024-07-29 13:37:29 UTC; maechler
Author: Steve Dutky [aut] (S original; then (after MM's port) revised and
    modified),
  Martin Maechler [cre, aut] (Initial R port; tweaks,
    <https://orcid.org/0000-0002-8685-9910>)
Maintainer: Martin Maechler <maechler@stat.math.ethz.ch>
Repository: CRAN
Date/Publication: 2024-07-29 15:10:06 UTC
